data:extend({
{
    type = "ammo",
    name = "explosive-bullet-magazine",
    icon = "__Military_Research_5__/explosive-bullet-magazine.png",
    flags = {"goes-to-main-inventory"},
    ammo_type =
    {
      category = "bullet",
      action =
      {
        {
          type = "direct",
          action_delivery =
          {
            {
              type = "instant",
              source_effects =
              {
                {
                  type = "create-explosion",
                  entity_name = "explosion-gunshot"
                }
              },
              target_effects =
              {
                {
                  type = "create-entity",
                  entity_name = "explosion"
                },
                {
                  type = "damage",
                  damage = { amount = 8 , type = "explosion"}
                }
              }
            }
          }
        }
      }
    },
    magazine_size = 10,
    subgroup = "ammo",
    order = "a[basic-clips]-c[explosive-bullet-magazine]",
    stack_size = 100
  },
  {
    type = "recipe",
    name = "explosive-bullet-magazine",
    enabled = false,
    energy_required = 5,
    ingredients =
    {
      {"basic-bullet-magazine", 1},
      {"explosives",1}
    },
    result = "explosive-bullet-magazine"
  },
  {
    type = "projectile",
    name = "incendiary-shotgun-pellet",
    flags = {"not-on-map"},
    collision_box = {{-0.05, -0.25}, {0.05, 0.25}},
    acceleration = 0,
    direction_only = true,
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          type = "damage",
          damage = {amount = 8, type = "fire"}
        }
      }
    },
    animation =
    {
      filename = "__base__/graphics/entity/bullet/bullet.png",
      frame_count = 1,
      width = 3,
      height = 50,
      priority = "high"
    },
  },
  {
    type = "ammo",
    name = "incendiary-shotgun-shell",
    icon = "__Military_Research_5__/incendiary-shotgun-shell.png",
    flags = {"goes-to-main-inventory"},
    ammo_type =
    {
      category = "shotgun-shell",
      target_type = "direction",
      source_effects =
      {
        type = "create-explosion",
        entity_name = "explosion-gunshot"
      },
      action =
        {
          type = "direct",
          repeat_count = 12,
          action_delivery =
          {
            type = "projectile",
            projectile = "incendiary-shotgun-pellet",
            starting_speed = 1,
            direction_deviation = 0.3,
            range_deviation = 0.3,
            max_range = 15
          }
        }
    },
    magazine_size = 10,
    subgroup = "ammo",
    order = "b[shotgun]-c[incendiary]",
    stack_size = 100
  },
  {
    type = "recipe",
    name = "incendiary-shotgun-shell",
    enabled = false,
    energy_required = 5,
    ingredients =
    {
      {"shotgun-shell", 1},
      {"sulfur", 4},
      {"coal", 2}
    },
    result = "incendiary-shotgun-shell"
  },
  {
    type = "recipe",
    name = "behemoth-buster",
    enabled = false,
    energy_required = 20,
    ingredients =
    {
      {"rocket", 10},
      {"explosives", 5},
      {"rocket-fuel", 1},
      {"rocket-control-unit",1}
    },
    result = "behemoth-buster"
  },
  {
    type = "ammo",
    name = "behemoth-buster",
    icon = "__Military_Research_5__/behemoth-buster.png",
    flags = {"goes-to-main-inventory"},
    ammo_type =
    {
      category = "rocket",
      action =
      {
        type = "direct",
        action_delivery =
        {
          type = "projectile",
          projectile = "behemoth-buster",
          starting_speed = 0.12,
          source_effects =
          {
            type = "create-entity",
            entity_name = "explosion-hit"
          }
        }
      }
    },
    subgroup = "ammo",
    order = "d[rocket-launcher]-c[behemoth-buster]",
    stack_size = 100
  },
  {
    type = "explosion",
    name = "behemoth-buster-explosion",
    flags = {"not-on-map"},
    animations =
    {
      {
        filename = "__base__/graphics/entity/big-explosion/big-explosion.png",
        priority = "extra-high",
        width = 197,
        height = 245,
        frame_count = 47,
        line_length = 6,
        axially_symmetrical = false,
        direction_count = 1,
        shift = {0.1875, -0.75},
        animation_speed = 0.5
      }
    },
    light = {intensity = 1, size = 50},
    sound =
    {
      {
        filename = "__base__/sound/fight/large-explosion-1.ogg",
        volume = 1.0
      },
      {
        filename = "__base__/sound/fight/large-explosion-2.ogg",
        volume = 1.0
      }
    },
    created_effect =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          {
          type = "create-particle",
            repeat_count = 0,
            entity_name = "explosion-remnants-particle",
            initial_height = 0.5,
            speed_from_center = 0.08,
            speed_from_center_deviation = 0.15,
            initial_vertical_speed = 0.08,
            initial_vertical_speed_deviation = 0.15,
            offset_deviation = {{-0.2, -0.2}, {0.2, 0.2}}
          }
        }
      }
    }
  },
  {
    type = "projectile",
    name = "behemoth-buster",
    flags = {"not-on-map"},
    acceleration = 0.01,
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          {
            type = "create-entity",
            entity_name = "behemoth-buster-explosion"
          },
          {
          type = "damage",
          damage = {amount = 200, type = "impact"}
          },
          {
            type = "nested-result",
            action =
            {
              type = "area",
              perimeter = 2.5,
              action_delivery =
              {
                type = "instant",
                target_effects =
                {
                  {
                    type = "damage",
                    damage = {amount = 800, type = "explosion"}
                  },
                  {
                    type = "create-entity",
                    entity_name = "explosion"
                  }
                }
              }
            },
          }
        }
      }
    },
    light = {intensity = 0.5, size = 4},
    animation =
    {
      filename = "__base__/graphics/entity/rocket/rocket.png",
      frame_count = 8,
      line_length = 8,
      width = 9,
      height = 35,
      shift = {0, 0},
      priority = "high"
    },
    shadow =
    {
      filename = "__base__/graphics/entity/rocket/rocket-shadow.png",
      frame_count = 1,
      width = 7,
      height = 24,
      priority = "high",
      shift = {0, 0}
    },
    smoke =
    {
      {
        name = "smoke-fast",
        deviation = {0.15, 0.15},
        frequency = 1,
        position = {0, -1},
        slow_down_factor = 1,
        starting_frame = 3,
        starting_frame_deviation = 5,
        starting_frame_speed = 0,
        starting_frame_speed_deviation = 5
      }
    }
  },
{
    type = "technology",
    name = "military-5",
    icon = "__base__/graphics/technology/military.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "incendiary-shotgun-shell"
      },
      {
        type = "unlock-recipe",
        recipe = "explosive-bullet-magazine"
      },
      {
        type = "unlock-recipe",
        recipe = "behemoth-buster"
      },
    },
    prerequisites = {"military-4"},{"explosive-rocketry"},
    unit =
    {
      count = 200,
      ingredients =
      {
        {"science-pack-1", 2},
        {"science-pack-2", 2},
        {"science-pack-3", 1},
        {"alien-science-pack", 1},
      },
      time = 45
    },
    order = "e-a-e"
  },

  
})